package com.hzs.common.core.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 */
@Component
@ConfigurationProperties(prefix = "bd")
public class BdConfig {

    /**
     * 当前环境
     */
    private static String env;

    /**
     * PC地址
     */
    private static String pc;
//    /**
//     * 公众号地址
//     */
//    private static String gzh;
//    /**
//     * IOS地址
//     */
//    private static String ios;
//    /**
//     * android地址
//     */
//    private static String android;

    private static Integer enable;

    public static String getEnv() {
        return env;
    }

    public void setEnv(String env) {
        BdConfig.env = env;
    }

    public static String getPc() {
        return pc;
    }

    public void setPc(String pc) {
        BdConfig.pc = pc;
    }

//    public static String getGzh() {
//        return gzh;
//    }
//
//    public void setGzh(String gzh) {
//        HzsConfig.gzh = gzh;
//    }
//
//    public static String getIos() {
//        return ios;
//    }
//
//    public void setIos(String ios) {
//        HzsConfig.ios = ios;
//    }
//
//    public static String getAndroid() {
//        return android;
//    }
//
//    public void setAndroid(String android) {
//        HzsConfig.android = android;
//    }

    public static Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        BdConfig.enable = enable;
    }
}
